Support » Plugin: WP Advanced Importer » Fatal error when using PHP as CGI

  • The plugin doesn’t take into consideration that PHP can sometimes installed as CGI. It tries to execute the function apache_get_modules() which is not available in this case, so it crashes with a fatal error.

    Even if I removed that function and added an empty array on its place, when I went ahead and tried to upload an xml file to import, it gives a 500 internal server error.

    So this plugin needs some serious work. Please don’t submit plugins that are not tested thoroughly.

  • The topic ‘Fatal error when using PHP as CGI’ is closed to new replies.